## org.eclipse.emf.databinding
Class EMFUpdateValueStrategy

    java.lang.Object
      org.eclipse.core.databinding.UpdateValueStrategy
          org.eclipse.emf.databinding.EMFUpdateValueStrategy

    public class EMFUpdateValueStrategy

extends UpdateValueStrategy

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Nested Class Summary
`protected static class` `UpdateStrategy.DefaultConverter`

Field Summary

Fields inherited from class org.eclipse.core.databinding.UpdateValueStrategy
`afterConvertValidator, afterGetValidator, beforeSetValidator, converter, POLICY_CONVERT, POLICY_NEVER, POLICY_ON_REQUEST, POLICY_UPDATE, provideDefaults`

Constructor Summary
`EMFUpdateValueStrategy()`
`EMFUpdateValueStrategy(boolean provideDefaults, int updatePolicy)`
`EMFUpdateValueStrategy(int updatePolicy)`

Method Summary
`protected void` `checkAssignable(java.lang.Object arg0, java.lang.Object arg1, java.lang.String arg2)`
`protected IConverter` `createConverter(java.lang.Object fromType, java.lang.Object toType)`
`protected java.lang.Boolean` `isAssignableFromTo(java.lang.Object arg0, java.lang.Object arg1)`

Methods inherited from class org.eclipse.core.databinding.UpdateValueStrategy
`convert, createValidator, doSet, fillDefaults, getUpdatePolicy, setAfterConvertValidator, setAfterGetValidator, setBeforeSetValidator, setConverter, validateAfterConvert, validateAfterGet, validateBeforeSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFUpdateValueStrategy

    public EMFUpdateValueStrategy()

### EMFUpdateValueStrategy

    public EMFUpdateValueStrategy(int updatePolicy)

### EMFUpdateValueStrategy

    public EMFUpdateValueStrategy(boolean provideDefaults,
                                  int updatePolicy)

Method Detail

### createConverter

    protected IConverter createConverter(java.lang.Object fromType,
                                         java.lang.Object toType)

### checkAssignable

    protected final void checkAssignable(java.lang.Object arg0,
                                         java.lang.Object arg1,
                                         java.lang.String arg2)

### isAssignableFromTo

    protected java.lang.Boolean isAssignableFromTo(java.lang.Object arg0,
                                                   java.lang.Object arg1)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.